
CFLAGS=-Wall -fpic -g $(shell perl -MExtUtils::Embed -e ccopts) -I../../include -I/opt/tsp/include -I../../c

all : libmib_perl.so

LDFLAGS=-g -shared  \
	-lmib -L../../lib

libmib_perl.so : libmib_wrap.o
	$(CC) $(LDFLAGS) $^ -o $@

SWIG_INCLUDES=	-I../../include -I../../c

libmib_wrap.c : libmib.i
	swig -perl -Dinline= -v ${SWIG_INCLUDES} $<

clean:
	$(RM) libmib_perl.pm libmib_wrap.c *.so *.o *~
